/*  Sony RM-X2S plugin for xmms by Dirk Jagdmann <doj@cubic.org>
 *                                 http://llg.cubic.org
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.  */

/* $Header: /home/cvs/sonyjoy/about.c,v 1.7 2006/05/05 19:31:43 doj Exp $ */

#include <stdio.h>

#include "sony.h"
#include "sticksmall.xpm"

/** the dialog window */
static GtkWidget *dialog = NULL;

/** callback function for close button
    @param w ignored
    @param data ignored
*/
static void about_close_cb(GtkWidget * w, gpointer data)
{
  gtk_widget_destroy(dialog);
  dialog = NULL;
}

/** displays the about dialog */
void sonyrm_about()
{
  GtkWidget *box, *button, *label, *pixmap;
  GdkPixmap *pm;
  GdkBitmap *mask;

  if (dialog)
    return;

  dialog = gtk_dialog_new();
  gtk_window_set_title(GTK_WINDOW(dialog), _("About Sony RM-X2S Driver"));
  gtk_window_set_position(GTK_WINDOW(dialog), GTK_WIN_POS_MOUSE);
  gtk_container_border_width(GTK_CONTAINER(dialog), 5);

  box=gtk_hbox_new(FALSE, 5);
  gtk_box_pack_start_defaults(GTK_BOX(GTK_DIALOG(dialog)->vbox), box);

  label = gtk_label_new(
	  "Sony RM-X2S Plugin V" SONYVERSION "\n\n"
	  "written by Dirk Jagdmann <doj@cubic.org>\n"
	  "http://llg.cubic.org/tools/sonyrm/\n"
	  );
  gtk_box_pack_start_defaults(GTK_BOX(box), label);
  gtk_widget_show(label);

  pm=gdk_pixmap_colormap_create_from_xpm_d (NULL,
					    gtk_widget_get_colormap(dialog),
					    &mask,
					    NULL,
					    sticksmall_xpm);
  pixmap=gtk_pixmap_new(pm, mask);
  gtk_box_pack_start_defaults(GTK_BOX(box), pixmap);
  gtk_widget_show(pixmap);

  gtk_widget_show(box);

  button = gtk_button_new_with_label(_("Close"));
  gtk_signal_connect(GTK_OBJECT(button), "clicked", GTK_SIGNAL_FUNC(about_close_cb), NULL);
  gtk_box_pack_start_defaults(GTK_BOX(GTK_DIALOG(dialog)->action_area), button);
  gtk_widget_show(button);
  gtk_widget_grab_focus(button);

  gtk_widget_show(dialog);
}
